landing_page/urls.py
from django.urls import path
from .views import create_status

app_name = "landing_page"

urlpatterns = [
    path('', create_status, name='create_status')
]

ppwstory6/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('landing_page.urls'))
]

landing_page/models.py
from django.db import models

class Status(models.Model):
    status = models.TextField(max_length = 300)
    time_stamp = models.DateTimeField(null=True, blank=True, auto_now_add=True)

landing_page/forms.py
from .models import Status
from django import forms

class StatusForm(forms.ModelForm):
    status = forms.CharField(required = False, label = 'Share your status here!', widget=forms.Textarea(
    	attrs={
    		'class': 'md-textarea form-control',
    		'placeholder': "Status max. 300 characters",
            'rows': '3'
    	}
    ))

    class Meta:
        model = Status
        fields = ['status']

    def clean_status(self):
        status = self.cleaned_data['status']
        if len(status) == 0:
            self.add_error('status', 'Status field cannot blank')
        if len(status) > 300:
            self.add_error('status', 'Maximum characters exceeded')

landing_page/views.py
from django.shortcuts import render
from django.http import HttpResponse
from .forms import StatusForm
from .models import Status

def create_status(request):
    response = {}
    form = StatusForm(request.POST or None)
    status_datas = Status.objects.all().values().order_by('time_stamp')
    response ['status_datas'] = status_datas
    if request.method == 'POST' and form.is_valid():
        new_status = Status(status = request.POST['status'])
        new_status.save()
        response['StatusForm'] = StatusForm
        return render(request, 'landing_page/landing_page.html', response)
    response['StatusForm'] = form
    return render(request, 'landing_page/landing_page.html', response)

    

landing_page/templates/landing_page/landing_page.html
{% extends 'base.html' %}

{% block title %}
Landing page
{% endblock %}

{% block content %}
{% load static %}

    <div class="jumbotron" class="view">
        <div class="d-flex justify-content-center align-items-center">
            <!-- Content -->
            <div class="container-fluid">
                <div class="d-flex mb-5 justify-content-around wow fadeIn">
                    <div class="white-text text-left wow fadeInLeft">
                        <h1 class="h1-responsive display-1 font-weight-bold white-text pt-md-5 pt-5" id = "greeting">Halo, apa kabar?</h1>
                    </div>
                    <div class="wow fadeInRight intro-img-container form1 p-1">
                        <form method="POST" action="{% url 'landing_page:create_status' %}">
                            {% csrf_token %}
                                {% for question in StatusForm %}
                                    <div class="form-group md-form">
                                        <label for="{{question.id_for_label}}">{{question.label}}</label>
                                        {{question}}
                                        {% if question.errors %}
                                            {{question.errors}}
                                        {% endif %}
                                    </div>
                                {% endfor %}
                                <div class="form-group">
                                        <button type="submit" class="btn btn-primary">Post</button>
                                </div>
                        </form>            
                    </div>
                </div>
            </div>
        </div>
    </div>

    <section class="py-5">
        {% if status_datas %}
            {% for data in status_datas %}
            <div class="card mb-4">
                <div class="card-header">
                    <p class = "time-stamp m-0">{{data.time_stamp}}</p>
                </div>
                <div class="card-body">
                    <p class="card-text">{{data.status}}</p>
                </div>
            </div>
            {% endfor %}
        {% else %}
            <h1 class="h1-responsive wow bounce text-center m-5">Be The First to Write Status</h1>	
        {% endif %}
	</section>	
{% endblock %}

{% block script %}
    <script>
        
    </script>
{% endblock %}

templates/base.html
<!DOCTYPE html>
<html lang="en">
<head>
	{% load static %}
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>
        {% block title %}{% endblock %} 
    </title>
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.2/css/all.css" >
    <!-- Bootstrap core CSS -->
    <link href="{% static 'css/bootstrap.min.css' %}" rel="stylesheet">
    <!-- Material Design Bootstrap -->
    <link href="{% static 'css/mdb.min.css' %}" rel="stylesheet">
    <link href="{% static 'css/style.css' %}" rel="stylesheet">
</head>
<body>
    
    <button onclick="topFunction()" id="myBtn" title="back to top" class = "btn btn-secondary">
            <i class="fas fa-arrow-up"></i>
    </button>
    
    <div class="body-container">
        {% block content %}
        {% endblock %}
    </div>

    <!-- SCRIPTS -->
    <!-- JQuery -->
    <script type="text/javascript" src="{% static 'js/jquery-3.4.1.min.js' %}"></script>
    <!-- Bootstrap tooltips -->
    <script type="text/javascript" src="{% static 'js/popper.min.js' %}"></script>
    <!-- Bootstrap core JavaScript -->
    <script type="text/javascript" src="{% static 'js/bootstrap.min.js' %}"></script>
    <!-- MDB core JavaScript -->
    <script type="text/javascript" src="{% static 'js/mdb.min.js' %}"></script>

    <script>
        mybutton = document.getElementById("myBtn");

        window.onscroll = function() {scrollFunction()};

        function scrollFunction() {
        if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
            mybutton.style.display = "block";
        } else {
            mybutton.style.display = "none";
        }
        }
        
        function topFunction() {
        document.body.scrollTop = 0; // For Safari
        document.documentElement.scrollTop = 0; // For Chrome, Firefox, IE and Opera
        }
        
        new WOW().init();
    </script>

{% block script %}{% endblock %} 

</body>
</html>